antiprism-0.23
Up Next

# zono - zonohedra from OFF files

Usage | Examples | Notes

## Usage

    Usage: zono [options] [input_file]

    Make a polar zonohedron, or a zonohedron based on the vectors from an
    OFF file. If input_file is not given the program reads from standard input

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -m <mthd> method to create star from input, can be
                   v - centre to vertices are vectors (default)
                   a - all vertex to vertex are vectors
                   i - implicit edges (face sides) are vectors
                   e - explicit edges are vectors
      -c <cent> centre of points for method v, C for centroid (default: 0,0,0)
      -s        output the star (instead of the zonohedron)
      -u        make vectors unit length
      -P <num>  polar zonohedron with given number of vectors
      -o <file> write output to file (default: write to standard output)

## Examples

A medium sized polar zonohedron

    zono -P 50 -o polarzono.off

A rhombic triacontaahedron

    zono -m v -o rh_tri.off icosahedron

## Notes

An error calculating the convex hull probably indicates that the star was not three dimensional.

Up: Programs and Documentation
Next: polygon - polygon based polyhedra